# FieldStorableType

    public protocol FieldStorableType

Values to be used for `Field.Stored` properties.

- `FieldStoredNativeType`

  The `NSAttributeType` for this type

  #### Declaration

  Swift

      associatedtype FieldStoredNativeType

- `cs_rawAttributeType`

  The `NSAttributeType` for this type. Used internally by CoreStore. Do not call directly.

  #### Declaration

  Swift

      static var cs_rawAttributeType: NSAttributeType { get }

- `cs_fromFieldStoredNativeType(_:)`

  Creates an instance of this type from raw native value. Used internally by CoreStore. Do not call directly.

  #### Declaration

  Swift

      @inline(__always)
      static func cs_fromFieldStoredNativeType(_ value: FieldStoredNativeType) -> Self

- `cs_toFieldStoredNativeType()`

  Creates `FieldStoredNativeType` value from this instance. Used internally by CoreStore. Do not call directly.

  #### Declaration

  Swift

      @inline(__always)
      func cs_toFieldStoredNativeType() -> Any?